Un grupo de investigadores ha descubierto una nueva forma de seguir explotando esta vulnerabilidad en el sistema operativo móvil de Google, incluso aunque este tenga instalados los últimos fallos de seguridad.

Recursos afectados

  • Este grupo de investigadores ha descubierto la vulnerabilidad utilizando un Nexus 5, aunque después la ha reproducido igualmente en otros smartphones como el LG G3, un HTC One o un Samsung Galaxy S5. Las versiones de Android afectadas por esta nueva vulnerabilidad con Android 2.2, 4.0, 5.0 y 5.1. Cualquier otra versión de Android no es vulnerable.

Detalle e Impacto de la vulnerabilidad

  • Durante el ataque, los investigadores han sido capaces de lograr acceso completo a los archivos del sistema, así como copiar y borrar los mismos. Además, también han logrado acceder a la cámara y al micrófono del mismo.
  • El ataque para explotar esta vulnerabilidad puede resumirse en tres simples pasos. El primero de ellos es hacer que el usuario visite una web con un vídeo capaz de bloquear el centro multimedia de Android y hacer que este se reinicie. Una vez logrado, un JavaScript recopila información sobre el smartphone e intenta cargar otro vídeo en el smartphone vulnerable, el cual facilita más información sobre el estado interno del dispositivo. Por último, un tercer vídeo se encarga de ejecutar un malware en la memoria, gracias al cual el atacante consigue control total sobre el dispositivo.
  • Esta nueva vulnerabilidad puede denominarse como Stagefright 2.0 ya que, aunque afecta a un menor número de versiones de Android, es mucho más sencillo de explotar que la primera vulnerabilidad detectada en 2015.

Google ha liberado los primeros boletines para los Nexus.

  • Google no ha tardado mucho en desarrollar un nuevo parche para solucionar esta vulnerabilidad en sus propios smartphones, los Nexus. A lo largo de este fin de semana, todos estos dispositivos han recibido una actualización OTA de la mano de Google con la que se solucionaba dicha vulnerabilidad, sin embargo, aún quedan millones de dispositivos vulnerables a la espera de recibir la actualización.
  • Mientras que los diferentes fabricantes publican sus propias OTA para solucionar este nuevo Stagefright, lo más recomendable es evitar visitar páginas web de dudosa fiabilidad, por ejemplo, que recibamos a través de correos electrónicos desde fuentes que no conozcamos.
  • Si nuestro smartphone es relativamente antiguo, lo más probable es que no se actualice y quedemos expuestos. En ese caso os recomendamos intentar instalar CyanogenMod, una de las mejores Roms de Android que, entre otras muchas cosas, nos permite tener los últimos boletines de seguridad instalados, así con la versión más reciente de Android (actualmente la 6.0 Marshmallow) incluso aunque nuestro smartphone ya no reciba actualizaciones por parte del fabricante.

Fuente: Exploit db

Anuncios